The required build is not eligible

Discussion in 'Jailbreaks and iOS Hacks' started by mokirpalani, Mar 18, 2011.

  1. mokirpalani macrumors newbie

    Joined:
    Mar 18, 2011
    #1
    So i had to get my iPhone 4 replaced by Apple and they handed me a new one on 4.2.1. I have tried to restore the iphone to the .ispw that i created with pwnage tool. I either get the message that the required build is not eligible or that Apple cant connect to the servers. Needless to say i am extremely frustrated and have tried all sorts of "fixes". I have tried editing my Terminal code to:
    ##
    Host Database
    #
    localhost is used to configure the loopback interface
    when the system is booting. Do not change this entry.
    ##
    127.0.0.1 localhost
    255.255.255.255 broadcasthost
    ::1 localhost
    fe80::1%lo0 localhost
    74.208.10.249 gs.apple.com

    and to

    ##
    Host Database
    #
    localhost is used to configure the loopback interface
    when the system is booting. Do not change this entry.
    ##
    127.0.0.1 gs.apple.com
    255.255.255.255 broadcasthost
    ::1 localhost
    fe80::1%lo0 localhost

    Ive tried many variations of the code but can't seem to get any of them to work for me. Any ideas?

    Btw i am running iTunes 10.2.1 and ive got an iPhone 4 on 4.2.1 and am on Mac osX 10.6.6
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    Download and run Tinyumbrella.
    Check out what shsh blobs are available for your device.
    If you dont have shsh's for 4.2.1 you cannot restore to that, you can only restore to the latest firmware out.
    Did you save your shsh blobs for the refurb you received before 4.3 was out? If not you cannot restore to 4.2.1 or custom 4.2.1 either.
    Just JB it with greenpoison if its still on 4.2.1
     
  3. h1r0ll3r macrumors 68040

    h1r0ll3r

    Joined:
    Dec 28, 2009
    Location:
    Maryland
    #3
    Sorry to get off topic here but is 4.2.1 GP stable at this point? Been reading things off and on about this and, while I don't feel like updating, I need to get acclimated to the new icon/theming structure that 4.2.1 has.
     
  4. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #4
    Yes, with the latest update its pretty stable and also they fixed the iBooks bug. You wont have any probs.
     
  5. h1r0ll3r macrumors 68040

    h1r0ll3r

    Joined:
    Dec 28, 2009
    Location:
    Maryland
    #5
    Cool. Guess I'll have to say goodbye to 4.1 now :(
    It served me well.
    It will be missed.
     
  6. mokirpalani thread starter macrumors newbie

    Joined:
    Mar 18, 2011
    #6
    hey thanks for the reply!
    I had not even heard of tinyumbrella till i had this problem. i ran it and im assuming im stuck since i had not saved my shsh's from my previous jailbroken idevice on 4.2.1. i guess im just gonna have to jailbreak on 4.2.1 using greepoison
     
  7. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #7
    Im still on 4.1 too and Im tempted to go to 4.2.1 or wait for the 4.3 untethered JB:)

    Welcome.
    Yes, that would be the best option right now. First thing you should do as soon as you get a new iDevice or replacement unit is fire up TU and start saving its shsh blobs. Once you initiate it once, cydia will grab all the blobs from then on for that specific phone.
    Also even if you saved the shsh blobs for you previous device they wont work cause each phone needs its own unique blobs. You cannot use ones for a different iphone.
     
  8. tikitommy macrumors regular

    Joined:
    Nov 14, 2007
    #8
    4.1 too but more so waiting for the unlock.

    Better come out by July. I want to sell it in Greece for a profitable sum (then get 5)
     
  9. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #9
    Im going to Greece this summer too.:)
    Cant wait.
     
  10. gravytrain84 macrumors 6502a

    gravytrain84

    Joined:
    Jun 24, 2010
    Location:
    LA
    #10
    I kept getting that message yesterday when trying to restore my iPad... Called apple, they walked me through deleting every sign of iTunes, I reinstalled and then it worked... No idea why it was giving me that message, I was trying to restore 4.3:confused:
     
  11. gngan macrumors 68000

    gngan

    Joined:
    Jan 1, 2009
    Location:
    MacWorld
    #11
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_1 like Mac OS X; en-us) AppleWebKit/532.9 (KHTML, like Gecko) Version/4.0.5 Mobile/8B117 Safari/6531.22.7)

    Shsh is phone specific. Even if you saved from your previos phone, your replaced iPhone won't have it.
     

Share This Page